Anura Docs

Anura Reporting API - Summary Filters Endpoints - Table

The Summary Filters: Table endpoint will allow you to retrieve, or search, a list of summary filters applicable to the supplied POST parameters.

Method URL
POST https://api.anura.io/v1/filters/table

Parameters

Required Type Description Note
token string The token string you have been issued to connect to the Anura Reporting API.
Optional Type Description Note
type string The value to which results will be limited. Acceptable values: script, direct.
shared boolean Set true to return only results that have been shared. False by default.
search string The value to which results will be limited. Results are returned based on a broad match of the declared value.
startswith boolean Set true to return only results starting with the search value. False by default.
sort string The order in which results will be returned. Up to 3 valid comma separated sortings may be requested. Format: column:asc or column:desc. "0:asc" is returned by default.
page integer The page of results to be returned. Page 1 is returned by default.
limit integer The number of returned results. 20 results are returned by default. 1,000 results max.

Example Response

{
    "table": {
        "headers": [
            "Name",
            "User",
            "Type",
            "Shared",
            "Created"
        ],
        "rows": [
             {
                 "id": "4ayAX5r3",
                 "name": "Good%20Vibes",
                 "type": "script",
                 "shared": true,
                 "modifiable": true,
                 "created": {
                     "date": "2026-10-02T16:04:44+00:00",
                     "method": "dashboard",
                     "user": "Anura%20User"
                 },
                 "last_updated": {
                     "date": "2026-10-02T18:22:36+00:00",
                     "method": "dashboard",
                     "user": "Anura%20User"
                 }
             },
             {
                 "id": "TqPSA3T3",
                 "name": "Suspect%20Traffic",
                 "type": "direct",
                 "shared": false,
                 "modifiable": true,
                 "created": {
                     "date": "2026-10-04T12:28:20+00:00",
                     "method": "api",
                     "user": "Anura%20User"
                 },
                 "last_updated": null
             }
        ]
    },
    "query": {
        "type": false,
        "shared": false,
        "search": false,
        "startswith": false,
        "sort": "0:asc",
        "page": 1,
        "limit": 20,
        "results": 2,
        "pages": 1
    }
}